2009-01-12	Stephan Arts <stephan@xfce.org>

	* === Release 4.5.93 ===
	* configure.in.in: Bump version number

2009-01-11	Jannis Pohlmann <jannis@xfce.org>

	* NEWS: Update NEWS for the upcoming 4.5.93 release.

2008-12-26	Brian Tarricone <bjt23@cornell.edu>

	* engines/balou/config.c: Use xfce_message_dialog() instead of
	  xfce_err(), fix string a bit.

2008-12-03	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/shutdown.c: Change "Log off" text to "Log out" to be
	  consistent with the rest of the UI.

2008-11-27	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: On suspend/hibernate, ignore errors
	  of type DBUS_GERROR_NO_REPLY, not type _TIMEOUT (bug 4628).

2008-11-27	Brian Tarricone <bjt23@cornell.edu>

	* configure.in.in: Check for pwd.h and getpwuid ().
	* xfce4-session/shutdown.c: Display the currently logged-in user
	  in a label in the shutdown dialog (bug 3083).

2008-11-15	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-startup.c: Be sure to properly signal that
	  startup is complete when running from the failsafe session.

2008-11-15	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Fix autostart getting run twice when
	  the failsafe session is used (bug 4486).

2008-11-14  Stephan Arts <stephan@xfce.org>

	* NEWS, po/POTFILES.in, configure.in.in: Update files for 4.6 beta2
	  release

2008-11-12	Brian Tarricone <bjt23@cornell.edu>

	* settings/main.c: Hook up Help button.
	* settings/xfce4-session-settings.glade: Fix Help button response
	  and button order.
	* settings/xfce-session-settings.desktop.in: Mark dialog as
	  supporting startup notification.

2008-11-06	Brian Tarricone <bjt23@cornell.edu>

	* settings/xfce4-session.xml: Add xfce4-settings-helper to the
	  default failsafe session.

2008-11-06	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Fix a problem: client
	  requests interaction -> client is granted interaction ->
	  but now SM kills all other apps.  If the client then requests
	  that the shutdown is canceled, the SM doesn't listen, and
	  even if it did, nothing else would be running (including the
	  WM).  Problem was in xfsm_manager_check_clients_saving(): it
	  didn't consider a client waiting for interaction or interaction
	  to be saving (bug 4284).

2008-11-06	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Only one dbus ShutdownCancelled
	  signal is enough, really.  And I guess it wouldn't get sent
	  at all if <= 1 client was interacting.

2008-11-05	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/shutdown.c,doc/README.Kiosk: Add 'SaveShutdown'
	  kiosk capability that allows admins to restrict the ability to
	  save the session on logout (bug 2998).

2008-11-05	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-startup.c: Be sure to set the current
	  working directory of restored clients when starting them.

2008-11-05	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Ignore timeout errors from dbus
	  when using HAL to suspend/hibernate.

2008-11-01	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/main.c: Fix minor one-time memleak.

2008-11-01	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Watch for dbus disconnects and
	  be sure we aren't terminated.
	* xfce4-session/xfsm-{client,manager}.c: Manage the lifecycle of
	  the DBusGConnection reference; not strictly necessary, as it
	  should be a shared connection, but I like being correct.

2008-11-01	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-shutdown-helper.c: Use dbus-default method
	  call timeout (which appears to be 25 seconds) rather than hard-
	  coding 2 seconds.  Fix a possible crash if a possible (however
	  unlikely) error path is taken.

2008-11-01	Brian Tarricone <bjt23@cornell.edu>

	* *: Implement suspend/hibernate support using HAL.  Partial patch
	  from Michael Casadevall.
	* xfce4-session/shutdown.c: Add buttons for suspend/hibernate.
	* xfce4-session/xfsm-manager.c: Handle suspend and hibernate as
	  initiated from the dialog or over dbus.  Don't quit the SM
	  after a successful suspend/hibernate.  Show errors to the user
	  via dialog boxes rather than printfs to console.
	* xfce4-session/xfsm-shutdown-helper.[ch]: Call HAL Suspend and
	  Hibernate methods as appropriate.  Add a ton of error reporting
	  so callers can present hopefully-useful error messages to the
	  user.
	* icons/48x48/xfsm-{hibernate,suspend}.png: Add icons for the
	  suspend/hibernate buttons in the UI.

2008-11-01	Brian Tarricone <bjt23@cornell.edu>

	* engines/simple/simple.c: Use GtkFileChooserButton instead of
	  GtkEntry+GtkButton for selecting custom image in simple engine.

2008-11-01	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-global.c: Fix warning leading to crash on
	  amd64 due to missing include (bug 4510).

2008-10-31	Brian Tarricone <bjt23@cornell.edu>

	* configure.in.in,xfce4-session/xfsm-manager.c: Change the
	  detection of linux/ioprio.h, as the header is apparently
	  present but broken on some systems (bug 4515).

2008-10-31	Jannis Pohlmann <jannis@xfce.org>

	* settings/xfce-session-settings.desktop.in,
	  settings/xfce4-session-settings.glade: Change "Sessions and Startup" back
	  to "Session and Startup".

2008-10-31	Jannis Pohlmann <jannis@xfce.org>

	* settings/main.c, settings/xfce-session-settings.desktop.in,
	  xfce4-session-settings.glade: Make settings dialog title/description
	  consistent. Properly stop startup notification when being plugged
	  into the settings manager.

2008-10-23	Brian Tarricone <bjt23@cornell.edu>

	* {settings,xfce4-session}/Makefile.am: Fix MAINTAINER_MODE
	  build with glib 2.12.

2008-10-22	Brian Tarricone <bjt23@cornell.edu>

	* settings/xfce4-session-settings.glade: Remove 'remove' button
	  and add a 'save session' button.  Add a session save progress
	  dialog.
	* settings/session-editor.c: Add the ability to save the
	  session from the dialog.

2008-10-22	Brian Tarricone <bjt23@cornell.edu>

	* settings/session-editor.c: Validate the value for the
	  restart style hint to avoid a possible crash.  Sort the
	  client list first by priority, then by program name.  Allow
	  the user to change the priority.

2008-10-22	Brian Tarricone <bjt23@cornell.edu>

	* configure.in.in: Update bug report address to http://bugs.xfce.org/.

2008-10-22	Brian Tarricone <bjt23@cornell.edu>

	* settings/session-editor.c: Display PID in session editor.
	  Display restart style in session editor, and allow user to
	  change the value (is there a way to actually make it look
	  like a combo box?).

2008-10-22	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-client.c: Handle the SmProcessID property
	  correctly.

2008-10-22	Brian Tarricone <bjt23@cornell.edu>

	* settings/session-editor.c: Fix a couple memleaks and a typo
	  that causes operations on clients to fail.

2008-10-21	Brian Tarricone <bjt23@cornell.edu>

	* settings/session-editor.c: Cache the DBusGProxy in the list
	  store.  Set clients to kill to SmRestartIfRunning, not
	  SmRestartNever.  Display placeholder text if the app doesn't
	  provide a SmProgram property.  Fix a one-time memleak.

2008-10-20	Brian Tarricone <bjt23@cornell.edu>

	* settings/session-editor.c: Implement a rudimentary session
	  editor.  Still a lot more to do.
	* settings/xfce4-session-marshal.list: Add marshallers for dbus
	  signals.
	* settings/xfce4-session-settings.glade: Re-enable a few widgets.
	* xfce4-session/xfsm-*-dbus.xml: Add ClientCSymbol annotations.

2008-10-19	Brian Tarricone <bjt23@cornell.edu>

	* settings/xfce4-session-settings.glade: Add/update a bunch of
	  tooltips.

2008-10-18	Brian Tarricone <bjt23@cornell.edu>

	* configure.in.in: Depend on newer version of libxfconf.
	* engines/*/Makefile.am: Link with libxfconf.
	* libxfsm/xfsm-splash-rc.*: Replace XfceRc usage with
	  XfconfChannel.
	* libxfsm/xfce4-session-2.0.pc.in: Add libxfconf-0 to required
	  packages list.
	* settings/{module.*,splash-settings.c]: Load XfconfChannel
	  with a property base instead of the old XfceRc file.
	* xfce4-session/xfsm-splash-screen.c: Fetch settings from
	  xfconf instead of rc file.

2008-10-17	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-chooser.c: Use xfce_create_mixed_button()
	  instead of xfsm_imgbtn_new() (bug 1446).
	* libxfsm/xfsm-utils.[ch]: Remove xfsm_imgbtn_new() and
	  xfsm_strv_copy().

2008-10-17	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Don't ditch clients that fail
	  to restart solely because fork() failed in xfce4-session.

2008-10-17	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/ice-layer.c: Properly initialise a GError to
	  NULL.  Patch from Carlos Santos (bug 4202).
	* libxfsm/Makefile.am: Link all used libraries to libxfsm.so
	  to avoid link-time errors on Darwin.  Shouldn't be an issue
	  on other platforms as well.  Partial patch from Anders
	  Björklund (bug 4429).

2008-10-17	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-startup.c: Store the result of fork() in a
	  temporary again to avoid possible memory access issues if
	  vfork() is used.
	* xfce4-session/xfsm-manager.c: Fix a XfsmProperties leak if
	  a SmRestartNever or SmRestartIfRunning client exits and doesn't
	  have a discard command, or exits during initial startup.

2008-10-17	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-properties.[ch]: Track the PID of properties
	  that have an associated app running, whether or not it's
	  registered with the SM.  Add client ID comparison function.
	  Track the child watch GSource and provide a way to reset the
	  child watch to a function that simply reaps the child.
	* xfce4-session/xfsm-startup.[ch]: Move handling of the child
	  watch and startup timeout, and make the properties starter
	  global so the manager can make use of it.  Merge a couple
	  data structures, and record a launched client's PID in its
	  properties structure.
	* xfce4-session/xfsm-manager.[ch]: Implement SmRestartImmediately
	  support.  Remove some code duplication.  Add an accessor
	  func for the manager's state.  Add a timeout function that
	  resets the 'restart attempts' counter if the client has been
	  alive for a while (5 minutes).

2008-10-15	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-client.c: Grab the GList pointer to iterate
	  over rather than using g_queue_peek_nth (); a little faster.

2008-10-12	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Return a useful error string from
	  xfsm_manager_load_failsafe() and display to user in an actual
	  message dialog box rather than to stderr.

2008-10-11	Brian Tarricone <bjt23@cornell.edu>

	* (lots): Migrate xfce4-session to use xfconf.  Combine session,
	  splash, and autostart dialog into one glade-ified (mostly) dialog.

2008-10-08	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session-logout/{main.c,xfce4-session-logout.1}: Add
	  --fast command-line option to instruct the session manager
	  not to save the session.

2008-10-07	Brian Tarricone <bjt23@cornell.edu>

	* configure.in.in: Add separate deps on dbus and dbus-glib.
	* xfce4-session-logout/Makefile.am,xfce4-session/Makefile.am:
	  Fix/add dbus/dbus-glib deps.
	* xfce4-session-logout/main.c: Make xfce4-session-logout use
	  the more flexible dbus interface for shutting down, and add
	  command-line options to take action while skipping the
	  logout confirmation dialog.
	* xfce4-session-logout/xfce4-session-logout.1: Update manual
	  page to reflect new command-line options.

2008-10-07	Brian Tarricone <bjt23@cornell.edu>

	* configure.in.in,xfce4-session/Makefile.am: Add check for
	  gnome-keyring support library.
	* xfce4-session/xfsm-compat-gnome.c: Don't start a new
	  gnome-keyring instance if it's already running (bug 3007,
	  patch from Olivier Fourdan <fourdan@xfce.org>).

2008-10-07	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-shutdown-helper.c: Remove the HAVE_DBUS
	  conditionals when doing HAL operations, since it's not
	  defined anymore because we require dbus.  This should make
	  HAL-based shutdown work again.

2008-10-07	Brian Tarricone <bjt23@cornell.edu>

	* configure.in.in: Check for <asm/unistd.h> and
	  <linux/ioprio.h>.
	* xfce4-session/xfsm-manager.c: If available, sync() disks
	  early on in the shutdown process, but only if we can
	  set the sync() process' i/o priority to 'idle'.  Available
	  only on Linux (bug 4313).
	* xfce4-session/shutdown.c: If we didn't have ioprio_set(),
	  then we do sync() right before quitting.

2008-10-06	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Implement support for the
	  RestartNever restart style hint.

2008-10-06	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Implement support for the
	  ShutdownCommand SM property in XfsmManager.  The spec says
	  this command should be run on manager shutdown for clients
	  that have set RestartAnyway as their restart hint AND have
	  already quit.

2008-10-06	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-client.c,xfsm-properties.*}: Implement
	  support for storing/retrieving the SmProcessID,
	  SmResignCommand, and SmShutdownCommand SM properties.  The
	  latter two will be needed for SmRestartAnyway support.

2008-10-06	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/{xfsm-client.c,xfsm-properties.*}: Move some
	  properties manipulation functions from xfsm-client.c to
	  xfsm-properties.c

2008-10-06	Brian Tarricone <bjt23@cornell.edu>

	* configure.in.in: Make D-Bus a hard dependency.
	* xfce4-session/Makefile.am: Add xfsm-error.* and D-Bus stuff to the
	  build.
	* xfce4-session/{xfsm-manager-dbus.xml,xfsm-client-dbus.xml}: Add
	  D-Bus interface introspection files.
	* xfce4-session/shutdown.*: Make the shutdown type a real enum,
	  and add values for 'ask', 'suspend', and 'hibernate'.
	* xfce4-session/xfsm-shutdown-helper.*: Make sure the shutdown
	  types/commands don't clash with shutdown.h.
	* xfce4-session/xfsm-global.*: Add some GValue convenience
	  functions.
	* xfce4-session/xfsm-error.*: Add XfsmError type, and register the
	  error domain with D-Bus.
	* xfce4-session/{xfsm-manager.*,xfsm-client.*}: Implement D-Bus
	  server for org.xfce.Session.Manager and org.xfce.Session.Client.
	* xfce4-session/main.c: Hook up some D-Bus stuff.
	* po/POTFILES.in: Add xfsm-manager.c and xfsm-client.c to POTFILES.

2008-10-04	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/xfsm-manager.c: Add signals to XfsmManager.

2008-10-04	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/{sm-layer.c,xfsm-client.*,xfsm-properties.*}:
	  Add signals to XfsmClient, and move some of the property
	  handling code into XfsmClient to make signal emission
	  easier.
	* xfce4-session/{xfsm-marshal.list,Makefile.am}: Add signal
	  marshallers.

2008-10-04	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/{sm-layer.c,xfsm-client.[ch],xfsm-manager.c}:
	  Turn XfsmClient into a GObject.  Second step for bug 798 and
	  a D-Bus interface.

2008-10-03	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/{main.c,xfsm-manager.{c,h},xfsm-global.{c,h}}:
	  Move some functions that aren't really XfsmManager-related
	  into xfsm-global.

2008-10-03	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/*.[ch]: Turn XfsmManager into a GObject, and
	  remove most of the app-global variables.  This is a first
	  step toward fixing bug 798, as well as making xfce4-session
	  ready for a D-Bus interface.

2008-10-01	Jannis Pohlmann <jannis@xfce.org>

	* settings/session/{Makefile.am,session.c}, 
	  settings/splash/{Makefile.am, splash.c},
	  xfce4-autostart-editor/xfae-window.c: Fix unused and uninitialized
	  variable warnings. Add G_LOG_DOMAIN to the dialog makefiles.

2008-10-01	Brian Tarricone <bjt23@cornell.edu>

	* xfce4-session/{xfsm-startup.[ch],xfsm-properties.h,xfsm-manager.[ch]}:
	  Start all session clients in parallel within priority groups.
	  There's still probably more work to be done here, but this is
	  a good first cut, and seems to work well (bug 4312).

2008-09-23	Brian Tarricone <bjt23@cornell.edu>

	* po/POTFILES.in: add xfce4-autostart-editor/main.c.

2008-09-15	Jannis Pohlmann <jannis@xfce.org>

	* xfce4-autostart-editor/main.c, 
	  xfce4-autostart-editor/xfae-window.{c,h},
	  xfce4-autostart-editor/xfce4-autostart-editor.desktop.in: Add 
	  embedding support to the autostart editor. I suppose there is a 
	  better way to do it with the existing code, but it works and it's
	  that much of a mess.

2008-09-14	Jannis Pohlmann <jannis@xfce.org>

	* settings/session/session.c, settings/splash/splash.c: Add embedding
	  support to the xfce4-session settings dialogs.
	* settings/session/xfce4-session-settings.desktop.in,
	  settings/splash/xfce4-splash-settings.desktop.in: Add X-XfcePluggable=true
		to both desktop files.

2008-09-04	Jannis Pohlmann <jannis@xfce.org>

	* autogen.sh: Add git svn revision versioning support.

2008-08-25	Brian J. Tarricone <kelnos@xfce.org>

	* settings/session/{Makefile.am,xfce-session-settings.desktop.in},
	  settings/splash/{Makefile.am,xfce-splash-settings.desktop.in},
	  xfce4-autostart-editor/xfce4-autostart-editor.desktop.in: Include
	  settings dialogs in the new settings manager.

2007-11-29	Benedikt Meurer <benny@xfce.org>

	* icons/, xfce4-autostart-editor/main.c: Add icon from
	  Jozsef Mak <jozmak@gmail.com> for the autostart editor.
	  Bug #3215.

2007-11-28	Benedikt Meurer <benny@xfce.org>

	* engines/simple/simple.c: Fix dialog layout. Bug #3287.
	* engines/simple/fallback.h, engines/simple/preview.h: Shut up
	  gcc.

2007-11-28	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/xfce4-session.1: Apply patch from Alexander
	  Toresson <alexander.toresson@gmail.com> to fix typos in
	  the man page. Bug #3288.

2007-11-28	Benedikt Meurer <benny@xfce.org>

	* engines/balou/config.c, engines/simple/simple.c: Use
	  GtkFileChooser instead of XfceFileChooser. Bug #3492.

2007-07-20	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/shutdown.c: Fix typo. Bug #3381.
	* configure.in.in: Update for new autoconf.
	* po/*.po, po/xfce4-session.pot: Update translations.
	* po/de.po: Update german translation.

2007-01-28	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Fix broken version number of libxfcegui4 dependency.
	  Bug #2824.

2007-01-20	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.

2007-01-20	Benedikt Meurer <benny@xfce.org>

	* === Released 4.4.0 ===
	* NEWS, configure.in.in: Bump version.
	* configure.in.in: Update dependencies.
	* po/*.po: Update Project-Id-Version.
	* xfce4-session/xfsm-fadeout.c: stipple_data is only required with
	  GTK+ < 2.8.0.

2006-12-21	Benedikt Meurer <benny@xfce.org>

	* libxfsm/xfsm-util.c, xfce4-session/shutdown.c: Apply Jasper's patch
	  to drop the old-style header from the logout dialog. Bug #2653.
	* xfce4-session/xfsm-fadeout.c: Use Xrender to fadeout the background
	  if cairo is available, as it gives better results.

2006-11-12	Benedikt Meurer <benny@xfce.org>

	* xfsm-shutdown-helper/main.c: Apply patch from Francis Gudin
	  <fgudin@nerim.net> to fix poweroff on DragonFly BSD. Bug #2567.

2006-11-04	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.

2006-11-04	Benedikt Meurer <benny@xfce.org>

	* === Released 4.3.99.2 ===
	* NEWS, configure.in.in: Bump version.
	* configure.in.in: Update dependencies.
	* po/*.po: Update Project-Id-Version.
	* xfce4-tips/data/tips.dat: Regenerate the Tips'n'Tricks database.

2006-11-04	Jean-François Wauthy <pollux@xfce.org>

	* xfce4-tips/data/tips: Remove references to xftaskbar4 and
	  xfce4-iconbox and rename xffm to Thunar. Bug #1332.

2006-10-28	Benedikt Meurer <benny@xfce.org>

	* xfce4-session.rc: Be sure to start Thunar prior to xfdesktop on
	  first login to avoid the trash error from xfdesktop if the session
	  bus is not configured properly. Bug #2447.

2006-09-13	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/xfsm-startup.c(xfsm_startup_continue_session): Fix
	  argv array allocation. Bug #2315.

2006-09-13	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/xfsm-splash-screen.c: Drop GLib 2.2 compat code.
	* configure.in.in, xfce4-session/xfsm-manager.{c,h},
	  xfce4-session/xfsm-startup.c: Handle failed applications faster on
	  session startup and reduce the overhead caused by handing them over
	  to init.

2006-09-09	Benedikt Meurer <benny@xfce.org>

	* README, configure.in.in, xfce4-session/: Merge the sudo and the HAL
	  shutdown helpers into a single shutdown helper, which tries to use
	  HAL first, and falls back to sudo.

2006-09-02	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.

2006-09-02	Benedikt Meurer <benny@xfce.org>

	* === Released 4.3.99.1 ===
	* NEWS, configure.in.in: Bump version.
	* po/*.po: Update Project-Id-Version.

2006-08-30	Benedikt Meurer <benny@xfce.org>

	* configure.in.in, xfce4-session/xfsm-compat-gnome.c: Support for
	  assistive technologies requires only GConf, based on patch from
	  Jani Monoses <jani@ubuntu.com>.

2006-08-28	Benedikt Meurer <benny@xfce.org>

	* xfsm-shutdown-helper/main.c: Add shutdown/reboot support for
	  Solaris. Based on patch from Moinak Ghosh <moinakg2002@yahoo.com>.
	  Bug #2230.

2006-08-15	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/main.c: Revert previous change to reap child processes
	  as the sudo processes are already reaped in the sudo shutdown-helper
	  and the patch attached to bug #2088 causes xfce4-session to hang on
	  logout. Bug #2173.

2006-08-14	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/main.c: Reap child processes to avoid sudo zombies
	  when cancelling the logout dialog. Bug #2088.
	* xfce4-session/xfsm-shutdown-helper-hal.c, AUTHORS, NEWS, README,
	  configure.in.in, xfce4-session/Makefile.am: Add support for HAL
	  to shutdown/reboot the computer, based on the Xubuntu patch by
	  Jani Monoses <jani@ubuntu.com>. Bug #2046.

2006-08-12	Benedikt Meurer <benny@xfce.org>

	* xfce4-tips/main.c(main): Fake a session id, so the session manager
	  will not save the tips as part of the session. Bug #1089.

2006-07-16	Benedikt Meurer <benny@xfce.org>

	* engines/balou/config.c, xfce4-session/xfsm-legacy.c: Apply patch
	  from Nick Schermer <nick@xfce.org> to fix a bunch of compiler
	  warnings.

2006-07-10	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.

2006-07-10	Benedikt Meurer <benny@xfce.org>

	* === Released 4.3.90.2 ===
	* NEWS, configure.in.in: Bump version.
	* po/*.po: Update Project-Id-Version.

2006-05-15	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/xfsm-manager.c(xfsm_manager_close_connection): Run
	  discard command when client terminates in IDLE state.
	* xfce4-session.rc: Add Thunar to the default session. Bug #1465.

2006-05-04	Benedikt Meurer <benny@xfce.org>

	* xfce4-tips/main.c: Use newly added XfceTitledDialog.
	* configure.in.in: Bump required package versions.
	* settings/session/session.c, settings/splash/splash.c: Use newly
	  added XfceTitledDialog.
	* engines/balou/config.c, engines/simple/simple.c: Make sure we can
	  still use XfceFramebox for now. Will be updated later.
	* xfce4-autostart-editor/xfae-model.c(xfae_item_new): Remove unused
	  variable.
	* po/xfce4-session.pot, po/*.po: Updated.

2006-05-04	Benedikt Meurer <benny@xfce.org>

	* xfce4-autostart-editor/xfae-model.c(xfae_item_new): Properly handle
	  OnlyShowIn and NotShowIn in the autostart editor.

2006-04-19	Benedikt Meurer <benny@xfce.org>

	* settings/session/session.c(mcs_plugin_init),
	  settings/splash/splash.c(mcs_plugin_init): Use separate translation
	  for the settings manager button label. Bug #1669.

2006-04-16	Benedikt Meurer <benny@xfce.org>

	* configure.in.in: Post-release version bump.

2006-04-16	Benedikt Meurer <benny@xfce.org>

	* === Released 4.3.90.1 ===
	* configure.in.in: Bump dependencies.
	* NEWS, configure.in.in: Bump version.
	* po/xfce4-session.pot, po/*.po: Updated.
	* xfce4-session.spec.in: Update RPM spec file.
	* xfce4-session/main.c(main): Update copyright date.
	* xfce4-session.rc: Update Failsafe session.

2006-04-14	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/shutdown.c(shutdownDialog): Apply patch from Jani
	  Monoses to fix "End session" dialog. Bug #1663.

2006-04-09	Benedikt Meurer <benny@xfce.org>

	* icons/Makefile.am: Be sure to run gtk-update-icon-cache after
	  installing new icons into the hicolor icon theme (skipped if $DESTDIR
	  is set).

2006-02-26	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/shutdown.c: Fix indentation.

2005-11-30	Benedikt Meurer <benny@xfce.org>

	* settings/session/session.c, settings/splash/splash.c: Fix naming
	  inconsistency for kiosk mode settings. This fixes bug #1246.

2005-09-01	Benedikt Meurer <benny@xfce.org>

	* xfce4-tips/main.c: Do not include <libxfce4util/i18n.h> directly.

2005-07-20	Benedikt Meurer <benny@xfce.org>

	* engines/balou/config.c, engines/mice/mice.c, engines/simple/simple.c,
	  xfce4-session/xfsm-chooser.c: Mark more user visible strings for
	  translation, using the patch provided by Daichi Kawahata
	  <daichik@users.sourceforge.net>.
	* xfce4-session.rc, engines/balou/themes/Default/themerc: Add japanese
	  translations, thanks to Daichi Kawahata
	  <daichik@users.sourceforge.net>.

2005-07-16	Jean-Francois Wauthy

	* po/eo.po: Update esperanto translations, thanks to Sylvain
	  Vedrenne <sylvain.vedrenne@free.fr>.

2005-07-15	Benedikt Meurer <benny@xfce.org>

	* xfce4-tips/, NEWS: Import the xfce4-tips from the xfce4-toys and
	  modify it to support the new autostart mechanism.
	* po/POTFILES.in: Add new translateable files here.
	* po/*.po, po/xfce4-session.pot: Merge translations.
	* configure.in.in, Makefile.am: Add the xfce4-tips to the build
	  framework.
	* xfce4-session.spec.in: Include the default autostart directory as
	  well.

2005-07-15	Benedikt Meurer <benny@xfce.org>

	* xfce4-autostart-editor/, NEWS: Add a simple editor for the autostart
	  mechanism. Currently supports only the basics. The idea is to turn
	  this into a full-featured "session editor" once xfce4-session
	  understands D-BUS.
	* configure.in.in, Makefile.am: Add the autostart editor to the build
	  framework.
	* po/POTFILES.in: Add new translateable files here.
	* po/*.po, po/xfce4-session.pot: Merge translations.

2005-07-14	Benedikt Meurer <benny@xfce.org>

	* xfce4-session/xfsm-startup.c: Implement Waldos second draft of the
	  autostart specification. Autostart items from the old location will
	  automatically be migrated to the new standard location on first run
	  of the new session manager. This fixes bug #1045.
	* docs/C/xfce4-session.{html,xml}: Describe the new autostart location.
	* configure.in.in: Bump version to 4.3.1.
	* NEWS, docs/Makefile.am, docs/NEWS.pre-4.3: Start NEWS file for
	  Xfce 4.4.
	* po/*.po, po/xfce4-session.pot: Merge new strings.

2005-07-14	Benedikt Meurer <benny@xfce.org>

	* autogen.sh: Fix copyright typo.

2005-07-14	Benedikt Meurer <benny@xfce.org>

	* autogen.sh, configure.in.in: Merge framework changes from Thunar.
	* configure.in.in: Bump version to 4.3.0svn.
	* libxfsm/xfsm-util.c(xfsm_window_add_border): Apply Patch from Ori
	  Bernstein to fix the border color of the shutdown dialog, as specified
	  in bug #747.

2005-05-06	Jean-Francois Wauthy <pollux@xfce.org>

	* configure.ac, po/bn_IN.po: add bn_IN translations.

2005-03-28	Jasper Huijsmans <jasper@xfce.org>

	* configure.ac, docs/C/xfce4-session.html, docs/Makefile.am,
	  docs/fr, docs/fr/.cvsignore, docs/fr/Makefile.am, docs/fr/images,
	  docs/fr/images/.cvsignore, docs/fr/images/Makefile.am,
	  docs/fr/images/xfsm-advanced.png, docs/fr/images/xfsm-general.png,
	  docs/fr/images/xfsm-splash.png, docs/fr/xfce4-session.html,
	  docs/fr/xfce4-session.xml: Add french doc.

2005-03-27	Francois Le Clainche <fleclainche@xfce.org>

	* icons/128x128/xfce4-session.png, icons/48x48/xfce4-session.png,
	  icons/48x48/xfce4-splash.png, icons/48x48/xfsm-shutdown.png,
	  icons/scalable/xfce4-session.svg,
	  icons/scalable/xfsm-shutdown.svg: Updated icons.

2005-03-17	Benedikt Meurer <benny@xfce.org>

	* settings/splash/module.c(module_test): Properly initialize the
	  engine structure with zero.

2005-02-24	Benedikt Meurer <benny@xfce.org>

	* settings/splash/module.c(module_test): Call start() if provided by
	  a splash engine, so engine developers can properly test their
	  modules.

2005-01-27	Benedikt Meurer <benny@xfce.org>

	* Removed autogenerated files from CVS.
	* Fixed bug #734 by depending on libgnome-2.0, rather than
	  gconf, which pulls in the required path settings.

